<?php
namespace ImageGallery;

return [
    'view_manager' => [
        'template_path_stack' => [
            dirname(__DIR__) . '/view',
        ]
    ],
	'block_layouts' => [
        'factories' => [
            'imageGallery' => Service\BlockLayout\ImageGalleryFactory::class,
        ],
    ],
    'form_elements' => [
        'invokables' => [
            Form\ImageGalleryBlockForm::class => Form\ImageGalleryBlockForm::class,
        ],
    ],
    'DefaultSettings' => [
        'ImageGalleryBlockForm' => [
            'title' => '',
            'renderSourceLink' => true,
            'width' => 600,
            'wrapStyle' => 'overflow-y: hidden;display: flex;flex-direction: column;justify-content: center;',
        ]
    ]
];
