<?php
namespace ImageGallery\Service\BlockLayout;

use Interop\Container\ContainerInterface;
use ImageGallery\Site\BlockLayout\ImageGallery;
use Laminas\ServiceManager\Factory\FactoryInterface;

class ImageGalleryFactory implements FactoryInterface
{
	public function __invoke(ContainerInterface $services, $requestedName, array $options = null)
	{
		return new ImageGallery(
			$services->get('FormElementManager'),
			$services->get('Config')['DefaultSettings']['ImageGalleryBlockForm']
		);
	}
}
?>